package cn.iocoder.yudao.module.safe.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * 安防 错误码 Core 枚举类
 *
 * 安防 系统，使用 1-010-000-000 段
 */
public interface ErrorCodeConstants {
    // ========== 安防后端设备 1_010_01_000 ==========
    ErrorCode SERVER_NOT_EXISTS = new ErrorCode(1_010_01_000, "安防后端设备不存在");

    // ========== 安防前端设备 1_010_02_000 ==========
    ErrorCode CAMERA_NOT_EXISTS = new ErrorCode(1_010_02_000, "安防前端设备不存在");
}
