package cn.iocoder.yudao.module.safe.controller.admin.camera.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

@Schema(description = "用户 APP - 安防前端设备分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppSafeCameraPageReqVO extends PageParam {

    @Schema(description = "名称", example = "李四")
    private String name;

    @Schema(description = "编号")
    private String code;

    @Schema(description = "类型")
    private String type;

    @Schema(description = "后端设备", example = "30230")
    private Long serverId;

    @Schema(description = "描述")
    private String des;

}
